Module java.rmi
Package java.rmi.server

# Interface Skeleton

@Deprecated public interface Skeleton
Deprecated.
no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.
The `Skeleton` interface is used solely by the RMI implementation.

Every version 1.1 compatible skeleton implements this interface. A skeleton for a remote object is a server-side entity that dispatches calls to the actual remote object implementation.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatch​(Remote obj, RemoteCall theCall, int opnum, long hash)`
Deprecated.
no replacement
`Operation[]`
`getOperations()`
Deprecated.
no replacement

## Method Details

### dispatch

@Deprecated void dispatch​(Remote obj, RemoteCall theCall, int opnum, long hash) throws Exception
Deprecated.
no replacement
Unmarshals arguments, calls the actual remote object implementation, and marshals the return value or any exception.

Parameters:
  `obj` - remote implementation to dispatch call to
  `theCall` - object representing remote call
  `opnum` - operation number
  `hash` - stub/skeleton interface hash
Throws:
  `Exception` - if a general exception occurs.
Since:
  1.1

### getOperations

@Deprecated Operation[] getOperations()
Deprecated.
no replacement
Returns the operations supported by the skeleton.

Returns:
  operations supported by skeleton
Since:
  1.1